Bug 736313

Summary: Review Request: felix-utils - Utility classes for OSGi
Product: [Fedora] Fedora Reporter: Jaromír Cápík <jcapik>
Component: Package ReviewAssignee: Stanislav Ochotnicky <sochotni>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: notting, ovasik, package-review, sochotni
Target Milestone: ---Flags: sochotni: fedora-review+
gwync: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-09-09 14:23:37 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Jaromír Cápík 2011-09-07 11:26:53 UTC
Spec URL: http://jcapik.fedorapeople.org/files/felix-utils/felix-utils.spec
SRPM URL: http://jcapik.fedorapeople.org/files/felix-utils/felix-utils-1.1.0-1.fc17.src.rpm
Description: This package contains utility classes for OSGi

Comment 1 Jaromír Cápík 2011-09-07 11:29:45 UTC
Since this package blocks maven-bundle-plugin update, I'll submit a bug for the encountered failing test together with other possible issues once all the dependencies are built.

Comment 2 Stanislav Ochotnicky 2011-09-07 11:49:19 UTC
I'll review this

Comment 3 Stanislav Ochotnicky 2011-09-07 12:06:03 UTC
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[x]  Rpmlint output: completely clean
[x]  Package is named according to the Package Naming Guidelines[1].
[x]  Spec file name must match the base package name, in the format %{name}.spec.
[x]  Package meets the Packaging Guidelines[2].
[x]  Package successfully compiles and builds into binary rpms.
[x]  Buildroot definition is not present
[x]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines[3,4].
[x]  License field in the package spec file matches the actual license.
License type: ASL 2.0
[x]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[x]  All independent sub-packages have license of their own
[x]  Spec file is legible and written in American English.
[x]  Sources used to build the package matches the upstream source, as provided in the spec URL.
MD5SUM this package    :135fd4186cf24f391171ae87b0decbf9
[x]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines[5].
[x]  Package must own all directories that it creates.
[x]  Package requires other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[x]  File sections do not contain %defattr(-,root,root,-) unless changed with good reason
[x]  Permissions on files are set properly.
[x]  Package does NOT have a %clean section which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). (not needed anymore)
[x]  Package consistently uses macros (no %{buildroot} and $RPM_BUILD_ROOT mixing)
[x]  Package contains code, or permissable content.
[x]  Fully versioned dependency in subpackages, if present.
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[x]  Package does not own files or directories owned by other packages.
[x]  Javadoc documentation files are generated and included in -javadoc subpackage
[x]  Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlinks)
[x]  Packages have proper BuildRequires/Requires on jpackage-utils
[x]  Javadoc subpackages have Require: jpackage-utils
[x]  Package uses %global not %define
[-]  If package uses tarball from VCS include comment how to re-create that tarball (svn export URL, git clone URL, ...)
[x]  If source tarball includes bundled jar/class files these need to be removed prior to building
[x]  All filenames in rpm packages must be valid UTF-8.
[x]  Jar files are installed to %{_javadir}/%{name}.jar (see [6] for details)
[x]  If package contains pom.xml files install it (including depmaps) even when building with ant
[x]  pom files has correct add_maven_depmap call

=== Maven ===
[x]  Use %{_mavenpomdir} macro for placing pom files instead of %{_datadir}/maven2/poms
[x]  If package uses "-Dmaven.test.skip=true" explain why it was needed in a comment
[-]  If package uses custom depmap "-Dmaven.local.depmap.file=*" explain why it's needed in a comment
[x]  Package DOES NOT use %update_maven_depmap in %post/%postun
[x]  Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-utils for %update_maven_depmap macro

=== Other suggestions ===
[x]  If possible use upstream build method (maven/ant/javac)
[x]  Avoid having BuildRequires on exact NVR unless necessary
[x]  Package has BuildArch: noarch (if possible)
[x]  Latest version is packaged.
[x]  Reviewer should test that the package builds in mock.
Tested on: fedora-rawhide-x86_64


=== Issues ===
1. None really, but I have question: Wouldn't it be better to place
jar into felix subdirectory? It's part of felix family afterall...

Comment 4 Jaromír Cápík 2011-09-08 13:34:53 UTC
Good note ... Yes it is better ... changed ...

Spec URL: http://jcapik.fedorapeople.org/files/felix-utils/2/felix-utils.spec
SRPM URL: http://jcapik.fedorapeople.org/files/felix-utils/2/felix-utils-1.1.0-2.fc17.src.rpm

Comment 5 Stanislav Ochotnicky 2011-09-08 13:37:15 UTC
Very well. APPROVED

Comment 6 Jaromír Cápík 2011-09-08 14:41:57 UTC
New Package SCM Request
=======================
Package Name: felix-utils
Short Description: Utility classes for OSGi
Owners: jcapik
Branches: f15 f16
InitialCC: java-sig

Comment 7 Gwyn Ciesla 2011-09-09 12:36:18 UTC
Git done (by process-git-requests).

Comment 8 Jaromír Cápík 2011-09-09 14:23:37 UTC
Thanks guys ... closing.